Summary:        Handle Common Gateway Interface requests and responses
Name:           perl-CGI
Version:        4.54
Release:        7%{?dist}
License:        Artistic 2.0
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEEJO/CGI-%{version}.tar.gz
URL:            https://metacpan.org/release/CGI
BuildArch:      noarch
BuildRequires:  coreutils, findutils, glibc-common, make, perl-interpreter, perl-generators, perl(ExtUtils::MakeMaker) >= 6.76
# Run-requires:
BuildRequires:  perl(Carp), perl(Exporter), perl(File::Spec) >= 0.82, perl(File::Temp) >= 0.17
BuildRequires:  perl(HTML::Entities) >= 3.69, perl(overload), perl(parent), perl(strict), perl(warnings)
# Tests:
BuildRequires:  perl(Config), perl(Cwd), perl(Encode), perl(File::Find), perl(FileHandle), perl(FindBin), perl(IO::File)
BuildRequires:  perl(IO::Handle), perl(lib), perl(POSIX), perl(Test::Deep) >= 0.11, perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Warn) >= 0.3, perl(utf8), perl(Test::CPAN::Changes)
Requires:       perl(File::Spec) >= 0.82, perl(File::Temp) >= 0.17, perl(HTML::Entities) >= 3.69, perl(Text::ParseWords)  

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((File::Spec)\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((File::Temp)\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Fh)\\)
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(MultipartBuffer\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Fh\\)
%global __requires_exclude %{__requires_exclude}|^perl\\(Apache)\s*$
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}

%description
CGI.pm is a stable, complete and mature solution for processing and preparing 
HTTP requests and responses. Major features including processing form 
submissions, file uploads, reading and writing cookies, query string generation
and manipulation, and processing and preparing HTTP headers.

CGI.pm performs very well in a vanilla CGI.pm environment and also comes with 
built-in support for mod_perl and mod_perl2 as well as FastCGI.

It has the benefit of having developed and refined over 20 years with input 
from dozens of contributors and being deployed on thousands of websites. CGI.pm
was included in the perl distribution from perl v5.4 to v5.20, however is has 
now been removed from the perl core...



%prep
%autosetup -n CGI-%{version}
iconv -f iso8859-1 -t utf-8 < Changes > Changes.1
mv Changes.1 Changes
chmod -c -x examples/*

for F in `find t -name *.t`; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}
%{_fixperms} %{buildroot}/*



%check
export HARNESS_OPTIONS=j$(nproc)
make test



%files
%license LICENSE
%doc Changes README.md examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.54-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.54-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.54-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 4.54-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.54-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.54-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 12 2022 Zhao Zhen <jeremiazhao@tencent.com> - 4.54-1
- Initial building.
